/*
 * Priscila: A GNU/EDMA OpenGL Presentation Tool
 * Copyright (C) 2004  David Martnez Oliveira
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.

 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 

/*
 * GL_ITEM_TEXT Class
 * Encapsulates a text item presentation object
 * -------------------------------------------------------------
 * September, 5th, 2004
 * - File Creation. GNU/EDMA in-line class
 * -------------------------------------------------------------
 * September, 18th, 2004
 * - Added class GL_ITEM_FREE_TEXT for per-character rendering
 */

#ifndef GL_ITEM_TEXT_H
#define GL_ITEM_TEXT_H

#include <edma.h>

#ifdef __cplusplus
extern "C" {
#endif

  ESint32 EDMAPROC gl_font_class_factory();
  ESint32 EDMAPROC gl_item_text_class_factory();
  ESint32 EDMAPROC gl_item_free_text_class_factory();

#ifdef __cplusplus
}
#endif

#endif
