#ifndef SDLGL_PRISM_MENU_H
#define SDLGL_PRISM_MENU_H

#include <GL/gl.h>
#include <SDL.h>

#include "sdlgl_font.h"

#ifndef SDLGL_LISTBOX_C
  typedef void *SDLGL_LISTBOX;
#endif
#ifdef _cplusplus
extern "C" {
#endif

  SDLGL_LISTBOX SDLGL_listbox_new (SDLGL_FONT, int);
  int SDLGL_listbox_free (SDLGL_LISTBOX listbox);

  int SDLGL_listbox_add (SDLGL_LISTBOX listbox, char *image);
  int SDLGL_listbox_set_option (SDLGL_LISTBOX listbox, int option);
  int SDLGL_listbox_get_option (SDLGL_LISTBOX listbox);
  int SDLGL_listbox_get_moving (SDLGL_LISTBOX listbox);
  int SDLGL_listbox_render (SDLGL_LISTBOX listbox);
#ifdef _cplusplus
}
#endif

#endif
