/*
 * Priscila: A GNU/EDMA OpenGL Presentation Tool
 * Copyright (C) 2004  David Martnez Oliveira
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.

 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 

/*
 * GL_ITEM_IMAGE Class
 * Encapsulates a image presentation item object
 * -------------------------------------------------------------
 * September, 11th, 2004
 * - File Creation. GNU/EDMA in-line class
 */

#ifndef GL_FX_H
#define GL_FX_H

#include <edma.h>

#ifdef __cplusplus
extern "C" {
#endif


ESint32 gl_fx_slow_zoom_class_factory ();
ESint32 gl_flying_quads_class_factory ();


#ifdef __cplusplus
}
#endif
#endif

